
package org.objectweb.jonas.jtests.beans.relation.tier;

/**
 * Local interface for Tiephy.
 */
public interface TiephyLocal
   extends javax.ejb.EJBLocalObject
{
   /**
    * Returns the numinttie
    * @return the numinttie
    */
   public java.lang.Integer getNuminttie(  ) ;

   /**
    * Returns the nomusatie
    * @return the nomusatie
    */
   public java.lang.String getNomusatie(  ) ;

   /**
    * get method relation one
    */
   public TierValue getTierValue(  ) ;

   /**
    * get method relation one
    */
   public void setTierValue( TierValue value ) ;

   /**
    * Return the value object version of this entity.
    */
   public TiephyValue getTiephyValue(  ) ;

   /**
    * Update the value object version of this entity.
    */
   public void update( TiephyValue value ) ;

}
